This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 831272 - remove all attempts at pluralization to fix i18n messages
remove all attempts at pluralization to fix i18n messages
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.4
All All
medium Severity medium (vote)
: ---
: RHQ 4.5.0
Assigned To: Jay Shaughnessy
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-12 11:59 EDT by John Mazzitelli
Modified: 2013-09-01 06:05 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-01 06:05:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description John Mazzitelli 2012-06-12 11:59:16 EDT
This pluralization code breaks i18n and forces the message to always be part english even if the locale isn't:

protected String getDataTypeName() {  return "item";  }
protected String getDataTypeNamePlural() {  return "items";  }
protected String getDeleteConfirmMessage() {   return MSG.common_msg_deleteConfirm(getDataTypeNamePlural());   }

We need to remove that and all usages of:

org.rhq.enterprise.gui.coregui.client.components.table.Table.getDataTypeNamePlural()

and related methods.
Comment 1 Jay Shaughnessy 2012-06-15 15:56:52 EDT
master commit 350b123ae5afb4248eb2936656744112c3950359
Get rid of the bogus message construction. Also, fix up some I18N stuff.
Comment 2 Heiko W. Rupp 2013-09-01 06:05:18 EDT
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.

Note You need to log in before you can comment on or make changes to this bug.